<div class="tutor-courses tutor-courses-loop-wrap tutor-courses-layout-<?php echo esc_attr( $column_count ); ?>">
	<?php
	foreach ( $instructors as $instructor ) {

		$course_count      = tutor_utils()->get_course_count_by_instructor( $instructor->ID );
		$instructor_rating = tutor_utils()->get_instructor_ratings( $instructor->ID );
		?>
			<div class="tutor-course-col-<?php echo esc_attr( $column_count ); ?>">
				<a href="<?php echo esc_url( tutor_utils()->profile_url( $instructor->ID ) ); ?>" class="tutor-course tutor-course-loop tutor-instructor-list tutor-instructor-list-<?php echo esc_attr( $layout ); ?> tutor-instructor-list-<?php echo esc_attr( $instructor->ID ); ?>">
					<div class="tutor-instructor-cover-photo" style="background-image:url(<?php echo esc_url( tutor_utils()->get_cover_photo_url( $instructor->ID ) ); ?>)"></div>
					<div class="tutor-instructor-profile-photo" style="background-image:url(<?php echo get_avatar_url( $instructor->ID, array( 'size' => 500 ) ); ?>)"></div>
					<div class="tutor-instructor-rating">
						<div class="ratings">
							<span class="rating-generated">
							<?php tutor_utils()->star_rating_generator( $instructor_rating->rating_avg ); ?>
							</span>

						<?php
						echo ' <span class="rating-digits">' . esc_attr( $instructor_rating->rating_avg ) . '</span> ';
						echo ' <span class="rating-total-meta">(' . esc_attr( $instructor_rating->rating_count ) . ')</span> ';
						?>
						</div>
					</div>
					<h4 class="tutor-instructor-name"><?php echo esc_attr( $instructor->display_name ); ?></h4>
					<div class="tutor-instructor-course-count">
						<span><?php echo esc_attr( $course_count ); ?></span>
						<span><?php 1 < $course_count ? _e( 'Courses', 'oxygen-tutor-lms' ) : _e( 'Course', 'oxygen-tutor-lms' ); ?></span>
					</div>
				</a>
			</div>
			<?php
	}

	if ( ! count( $instructors ) ) {
		echo '<div>', __( 'No Instructor Found', 'oxygen-tutor-lms' ), '</div>';
	}
	?>
</div>

<?php
if ( $previous_page || $next_page ) {
	$prev_url = ! $show_filter ? '?instructor-page=' . $previous_page : '#';
	$next_url = ! $show_filter ? '?instructor-page=' . $next_page : '#';
	?>
		<div class="tutor-pagination-wrap">
			<?php
				echo $previous_page ? '<a class="page-numbers" href="' . $prev_url . '" data-page_number="' . $previous_page . '">« ' . __( 'Previous', 'oxygen-tutor-lms' ) . '</a>' : '';
				echo $next_page ? '&nbsp; <a class="next page-numbers" href="' . $next_url . '" data-page_number="' . $next_page . '">' . __( 'Next', 'oxygen-tutor-lms' ) . ' »</a>' : '';
			?>
		</div>
	<?php
}
?>
